#!/bin/bash
########################################### QTOPIA 
# Trolltech QTOPIA compile script
# You need three source file ( qt-embedded-2.3.7.tar.gz, qt-x11-2.3.2.tar.gz, qtopia-free-1.7.0.tar.gz )

echo -e "Trolltech QTOPIA compile script\n"
echo -e "You need three source file\n"
echo -e "( qt-embedded-2.3.7.tar.gz, qt-x11-2.3.2.tar.gz, qtopia-free-1.7.0.tar.gz )\n\n"
echo -e "press a key for compile\n"

########################################### ŰԷ ٸ
read a_key

###########################################  ġ ϵ 
echo -e "deleting source directory ...\n"

rm -rf qt-X-arm-2.3.2
rm -rf qt-E-arm-2.3.7
rm -rf qtopia-arm-1.7.0
rm -rf tmake-arm-1.11

########################################### 4   
echo -e "extracting source files ...\n"

tar xvzf qt-embedded-2.3.7.tar.gz
#tar xvzf qt-x11-2.3.2.tar.gz
tar xvzf qtopia-free-1.7.0.tar.gz
tar xvzf tmake-1.11.tar.gz

#mv qt-2.3.2 qt-X-arm-2.3.2
mv qt-2.3.7 qt-E-arm-2.3.7
mv qtopia-free-1.7.0 qtopia-arm-1.7.0
mv tmake-1.11 tmake-arm-1.11

###########################################  
## ġ丮 LD_LIBRARY_PATH ְ configure / make  ##

echo -e "initializing compile..\n"

cd qtopia-arm-1.7.0
export QPEDIR=$PWD
cd ..

export TMAKEDIR=$PWD/tmake-1.11
export TMAKEPATH=$TMAKEDIR/lib/qws/linux-arm-g++
export PATH=$TMAKEDIR/bin:$PATH

cd qt-E-arm-2.3.7
export QTDIR=$PWD
export QTEDIR=$QTDIR
export PATH=$QTDIR/bin:$PATH
export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
cp $QPEDIR/src/qt/qconfig-qpe.h src/tools/

cp -af ../qwsmouse_qws.cpp ../qwsmouse_qws.h $QTDIR/src/kernel/
./configure -xplatform linux-arm-g++ -shared -qconfig qpe -qvfb -depths 4,8,16 -release
make sub-src
cd ..

#cd qt-X-arm-2.3.2
#export QTDIR=$PWD
#export PATH=$QTDIR/bin:$PATH
#export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH 
#./configure -no-xft -release -shared
#make
#make -C tools/qvfb
#mv tools/qvfb/qvfb bin

chmod 755 ./uic
cp ./uic $QTEDIR/bin
#cd ..

cd qtopia-arm-1.7.0
export QTDIR=$QTEDIR
export QPEDIR=$PWD
export PATH=$QPEDIR/bin:$PATH
cd src
./configure -release -shared -xplatform linux-arm-g++
make
###########################################  Ϸ
